*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    width:100vw;
    height:100vh;
    overflow:hidden;
    font-family:Arial, sans-serif;
    transition:0.3s;
}

body.dark{
    background:linear-gradient(180deg,#101010,#0b0b0b);
    color:rgb(6, 6, 6);
}

body.light{
    background:linear-gradient(180deg,#f5f5f5,#dcdcdc);
    color:#111;
}

.app{
    width:100%;
    max-width:430px;
    height:100vh;
    margin:auto;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:15px;
}

.chrono-container{
    width:100%;
    height:100%;
    border-radius:25px;
    padding:20px;
    display:flex;
    flex-direction:column;
    justify-content:center;
    backdrop-filter:blur(15px);
    background:rgba(35, 34, 34, 0.231);
    box-shadow:0 0 25px rgba(0,0,0,0.3);
    color: #ec081f;
}

h1{
    text-align:center;
    margin-bottom:40px;
    font-size:28px;
}

.timer{
    text-align:center;
    font-size:42px;
    font-weight:bold;
    margin-bottom:40px;
    letter-spacing:2px;
}

.buttons{
    display:flex;
    gap:10px;
}

button{
    flex:1;
    padding:16px;
    border:none;
    border-radius:16px;
    font-size:17px;
    cursor:pointer;
}

#startBtn{background:#28a745;color:rgb(14, 14, 14);}
#pauseBtn{background:#ffc107;color:black;}
#resetBtn{background:#dc3545;color:rgb(16, 16, 16);}
#lapBtn{
    width:100%;
    margin-top:20px;
    background:#df740a;
    color:rgb(12, 12, 12);
}

button:active{
    transform:scale(0.96);
}

.lap-section{
    flex:1;
    overflow-y:auto;
    margin-top:20px;
}

#laps{
    list-style:none;
    margin-top:15px;
}

#laps li{
    padding:12px;
    margin-bottom:10px;
    border-radius:12px;
    background:rgba(238, 5, 5, 0.356);
    color: #111;
}

.bottom-bar{
    margin-top:15px;
}

#themeBtn{
    width:100%;
    background:#0d38af70;
    color:rgb(12, 12, 12);
}